Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.context
Class FacesContextWrapper

    java.lang.Object
      javax.faces.context.FacesContext
          org.apache.myfaces.context.FacesContextWrapper

public class FacesContextWrapper
extends javax.faces.context.FacesContext

Convenient class to wrap the current FacesContext.

Version:
  $Revision: 167257 $ $Date: 2004-10-13 07:51:02 -0400 (Wed, 13 Oct 2004) $
Author:
  Manfred Geiler (latest modification by $Author: matze $), Anton Koinov

Constructor Summary
`FacesContextWrapper(javax.faces.context.FacesContext facesContext)`

Method Summary
`void` | `addMessage(java.lang.String clientId, javax.faces.application.FacesMessage message)`
`javax.faces.application.Application` | `getApplication()`
`java.util.Iterator` | `getClientIdsWithMessages()`
`javax.faces.context.ExternalContext` | `getExternalContext()`
`javax.faces.application.FacesMessage.Severity` | `getMaximumSeverity()`
`java.util.Iterator` | `getMessages()`
`java.util.Iterator` | `getMessages(java.lang.String clientId)`
`javax.faces.render.RenderKit` | `getRenderKit()`
`boolean` | `getRenderResponse()`
`boolean` | `getResponseComplete()`
`javax.faces.context.ResponseStream` | `getResponseStream()`
`javax.faces.context.ResponseWriter` | `getResponseWriter()`
`javax.faces.component.UIViewRoot` | `getViewRoot()`
`void` | `release()`
`void` | `renderResponse()`
`void` | `responseComplete()`
`void` | `setResponseStream(javax.faces.context.ResponseStream responsestream)`
`void` | `setResponseWriter(javax.faces.context.ResponseWriter responsewriter)`
`void` | `setViewRoot(javax.faces.component.UIViewRoot viewRoot)`

Methods inherited from class javax.faces.context.FacesContext
`getCurrentInstance, setCurrentInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FacesContextWrapper

    public FacesContextWrapper(javax.faces.context.FacesContext facesContext)

Method Detail

### getApplication

    public javax.faces.application.Application getApplication()

### getClientIdsWithMessages

    public java.util.Iterator getClientIdsWithMessages()

### getExternalContext

    public javax.faces.context.ExternalContext getExternalContext()

### getMaximumSeverity

    public javax.faces.application.FacesMessage.Severity getMaximumSeverity()

### getMessages

    public java.util.Iterator getMessages()

### getMessages

    public java.util.Iterator getMessages(java.lang.String clientId)

### getRenderKit

    public javax.faces.render.RenderKit getRenderKit()

### getRenderResponse

    public boolean getRenderResponse()

### getResponseComplete

    public boolean getResponseComplete()

### setResponseStream

    public void setResponseStream(javax.faces.context.ResponseStream responsestream)

### getResponseStream

    public javax.faces.context.ResponseStream getResponseStream()

### setResponseWriter

    public void setResponseWriter(javax.faces.context.ResponseWriter responsewriter)

### getResponseWriter

    public javax.faces.context.ResponseWriter getResponseWriter()

### setViewRoot

    public void setViewRoot(javax.faces.component.UIViewRoot viewRoot)

### getViewRoot

    public javax.faces.component.UIViewRoot getViewRoot()

### addMessage

    public void addMessage(java.lang.String clientId,
                           javax.faces.application.FacesMessage message)

### release

    public void release()

### renderResponse

    public void renderResponse()

### responseComplete

    public void responseComplete()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD